×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Registered User
    Join Date
    Jul 2008
    Posts
    33

    Problems with LCP 3.x Beta 1 Plug-in

    I downloaded the 'Local Client Provisioning Plugin for VoIP Rel 3.x vBeta1.0' today, changed the XML settings file to reflect what I needed, converted it to wbxml, compiled the program, signed it, and moved the .sis file onto my N95.

    When I go to the File Mgr. on my N95 and try to run the .sis file, it gets past all the prompts asking me if I want to install all of the component parts of the plug-in, and then it brings up a message "Unable to Install. Install base package first." Now, one of the components looks to be a patch, but it's built into one of the pre-signed .sis files included from Nokia. I'd like to think Nokia knew what they were doing when they compiled it, but has anyone else been able to get this plug-in to work? If so, what did you have to do?

    Thanks in advance.

  2. #2
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Problems with LCP 3.x Beta 1 Plug-in

    For a PU-type SIS to be installed the base package must be already installed on the phone or, if the component is part of the firmware, a stub sis file must be found under z:\system\install

    It seems that in your case the stub sis file is missing, accidentally or not remains to be seen. Is your phone customized by the operator? If not, what is the firmware version and the product code?
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  3. #3
    Registered User
    Join Date
    Jul 2008
    Posts
    33

    Re: Problems with LCP 3.x Beta 1 Plug-in

    The phone is not customized by the operator (we get them straight from a Nokia distributor). It is, however, an N95-3.

    The results of *#0000# are:

    V 20.2.011
    13-05-08
    RM-160
    Nokia N95(19.01)

  4. #4
    Registered User
    Join Date
    Jul 2008
    Posts
    33

    Re: Problems with LCP 3.x Beta 1 Plug-in

    OK, I've tried it now on an N95, an N95 8GB, an E71, and an E51. All of them give me the same 'install base package first'. I'm compiling with the latest SDK (3rd Edition FP2 v1.1), and unless the 5th edition SDK should be used now for 3rd edition phones, I believe that's the latest. I looked over the directions included with the plug-in, but they didn't mention anything about this. Has anyone else gotten it to work or should I submit a bug report? Alternatively, can I just include the missing stub file? What IS the missing stub file? The results of *#0000# for each are below:

    N95:
    V 20.2.011
    13-05-08
    RM-160
    Nokia N95(19.01)

    N95 8GB:
    V 30.0.018
    23-07-08
    RM-320
    Nokia N95(A7.01)

    E71:
    100.07.76
    08-06-2008
    RM-346
    Nokia E71-1(26)

    E51:
    200.34.36
    24-04-2008
    RM-244
    Nokia E51(01)

  5. #5
    Registered User
    Join Date
    Jul 2008
    Posts
    33

    Re: Problems with LCP 3.x Beta 1 Plug-in

    My mistake. These phones don't have VOIP Rel. 3.0. I guess I'll go back to using the old version 2.x. I was hoping v3.x would help solve the problems I've been having with v2.x (can't change the realm or it doesn't work).

Similar Threads

  1. Replies: 1
    Last Post: 2003-05-08, 09:17
  2. Problems with Nokia Series 60 MIDP SDK Beta 0.1
    By TobiAlex in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2002-08-27, 14:37
  3. Problems installing NDS Beta 0.3
    By cspringf in forum Mobile Java General
    Replies: 0
    Last Post: 2002-06-18, 21:00
  4. NDS Beta 0.2 or 0.3 + HP notebook = nothing but problems
    By mturu70 in forum Mobile Java General
    Replies: 0
    Last Post: 2002-06-03, 11:36
  5. Problems in NDS JME beta 0.3 installation
    By mturu70 in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2002-05-25, 10:41

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×